---
title: BatteryManager.ondischargingtimechange
slug: Web/API/BatteryManager/ondischargingtimechange
tags:
  - API
  - Battery API
  - Event Handler
  - NeedsMarkupWork
  - Property
  - Reference
  - Référence(2)
---
<div>{{obsolete_header}}</div>

<p>{{APIRef("Battery API")}}</p>

<p>Specifies an event listener to receive {{event("dischargingtimechange")}} events. These events occur when the battery {{domxref("BatteryManager.dischargingTime","dischargingTime")}} is updated.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">battery.ondischargingtimechange = funcRef</pre>

<p>Where <code><em>battery</em></code> is a {{domxref("BatteryManager")}} object, and <code><em>funcRef</em></code> is a function to be called when the {{event("dischargingtimechange")}} event occurs.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML_Content">HTML Content</h3>

<pre class="brush: html">&lt;div id="level"&gt;(battery level unknown)&lt;/div&gt;
&lt;div id="chargingTime"&gt;(charging time unknown)&lt;/div&gt;
</pre>

<h3 id="JavaScript_Content">JavaScript Content</h3>

<pre class="brush: js; highlight:[3]">navigator.getBattery().then(function(battery) {

    battery.ondischargingtimechange = dischargingTimeChange;

    function dischargingTimeChange(){
        document.querySelector('#level').textContent = battery.level;
        document.querySelector('#chargingTime').textContent = battery.chargingTime;
    }

});
</pre>

<p>{{ EmbedLiveSample('Example', '100%', 40) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Battery API")}}</td>
   <td>{{Spec2("Battery API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BatteryManager.ondischargingtimechange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("BatteryManager")}}</li>
 <li>{{domxref("Navigator.getBattery")}}</li>
</ul>
